Get update log file
GET
/system/updateLog/{pid}
const url = 'https://example.com/api/v1/system/updateLog/1';const options = {method: 'GET', headers: {cookie: 'grommunioAuthJwt=<grommunioAuthJwt>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v1/system/updateLog/1 \ --cookie grommunioAuthJwt=<grommunioAuthJwt>Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”pid
required
integer
Process ID of the updater, which fills the log file
Responses
Section titled “ Responses ”List of logs returned
Media typeapplication/json
object
data
Array<string>
processRunning
boolean
Examplegenerated
{ "data": [ "example" ], "processRunning": true}Validation of input parameters failed
Media typeapplication/json
object
message
string
errors
List of errors encountered during validation
Array<string>
Examplegenerated
{ "message": "example", "errors": [ "example" ]}An error occurred while processing the request
Media typeapplication/json
object
message
String representation of the exception
string
Examplegenerated
{ "message": "example"}